<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Addon: Fusion Chat
| Filename: chat.php
| Version: 1.00
| Author: PHP-Fusion Mods UK
| Developers: Craig
| Sites: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
require_once INCLUDES."bbcode_include.php";

if (file_exists(INFUSIONS."fusion_chat/locale/".$settings['locale'].".php")) {
	include INFUSIONS."fusion_chat/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."fusion_chat/locale/English.php";
}

$fusion_chat_check = dbquery("SELECT * FROM ".DB_INFUSIONS. " WHERE inf_folder='fusion_chat'");
if (dbrows($fusion_chat_check) > 0) {

include INFUSIONS."fusion_chat/infusion_db.php";
$fusion_chat_settings = dbarray(dbquery("SELECT * FROM ".DB_LCHAT_SETTINGS));

if (iMEMBER) { add_to_head("<script src='".BASEDIR."infusions/fusion_chat/includes/js/chat_javascript_functions.js' type='text/javascript'></script>\n"); }

include INFUSIONS."fusion_chat/includes/chat_styles.php";

add_to_title($locale['global_200'].$locale['inf_title']);

if ($fusion_chat_settings['chat_enable'] !== "1" && !iADMIN && !checkrights("CBX")) { redirect(BASEDIR."index.php"); }

if ($fusion_chat_settings['chat_enable'] !== "1" && iADMIN && checkrights("CBX")) { echo"<div class='admin-message'>".$locale['fcha_057']."</div>"; }




if (iGUEST) {
	opentable($locale['inf_title']);
	echo"<div style='padding: 10px; text-align: center; font-weight: bold;'>".$locale['fcha_041']."</div>\n";
	closetable();
	}else{

		$chat_admin_notice = stripslashes(nl2br(parseubb($fusion_chat_settings['chat_admin_notice'], "color|b|i|u|small|url")));

			opentable($locale['inf_title']);
					$chat_box ="";
					$chat_box .= "<div  style='float:left;  margin-top:20px; margin-left: 20px; width: 160px;' id='results'>";
					$chat_box .= $locale['fcha_063']."\n";
					$chat_box .= "</div>\n";
					$chat_box .= "<div id='outer-div' style='height:10px;'>\n";
					$chat_box .= "</div>\n";
					$chat_box .= "<div id='main-outer' class='main-outer center'>\n";
					$chat_box .= "<div style='margin-bottom: 15px;'>";
					$chat_box .= "<img style='border: 0px;' src='".INFUSIONS."fusion_chat/images/fusion_chat_logo.png' alt='".$locale['inf_title']."' />\n";
					$chat_box .= "</div>";
					echo (($fusion_chat_settings['chat_admin_notice'] !== "") ? "<br /><div class='chat-info center'>".$chat_admin_notice."</div>" : "")."";
					$chat_box .= "<div class='tbl' style='background-color: #".stripinput($fusion_chat_settings['chat_bgcolour_chatbox'])."; margin-left: 7px; height:400px;  overflow: auto; overflow-x: hidden;' id='livechatbox'>\n";
					$chat_box .= "<div class='load-container'>\n";
					$chat_box .= "<div id='block_1' class='barlittle'>\n";
					$chat_box .= "</div>\n";
					$chat_box .= "<div id='block_2' class='barlittle'>";
					$chat_box .= "</div>\n";
					$chat_box .= "<div id='block_3' class='barlittle'>";
					$chat_box .= "</div>\n";
					$chat_box .= "<div id='block_4' class='barlittle'>";
					$chat_box .= "</div>\n";
					$chat_box .= "<div id='block_5' class='barlittle'>";
					$chat_box .= "</div>\n";
					$chat_box .= "</div>\n";
					$chat_box .= "</div>\n";
					
					echo $chat_box;
				  
				if (iMEMBER) {
					
					$rows = dbcount("(post_id)", DB_LCHAT);
					$chat_form ="";
					$chat_form .= "<form id='chat' name='fusion_chat_form' method='POST' action='return false;' >\n";
					$chat_form .= "<div class='tbl2 center' style='margin-left: 7px;'>\n";
					$chat_form .= "<div class='tbl2' style='float:right; padding-right: 30px;'>\n";
					$chat_form .= "<input type='submit'  value='".$locale['fcha_001']."' class='button' />\n";
					$chat_form .= "</div>\n";
					if(LEFT && RIGHT) { 
					$chat_form .= "<div class='tbl2' style='width: 290px;'>\n";
					$chat_form .= "<input spellcheck='true' autofocus='autofocus' autocomplete='off' placeholder='".$locale['fcha_066']."' type='text' maxlength='400' name='chat_message' value='' cols='90' rows='1' id='chat-input' class='chat-textbox' style='width:360px;' />\n";
					$chat_form .= "<div style='float:right; font-size: 9px; color: #777;'>".$locale['fcha_064'].": <span style='color: #FF0000;'>".stripinput($fusion_chat_settings['flood_time'])."</span> ".$locale['fcha_065']."\n";
					$chat_form .= "</div>\n";
					}else{ 
					$chat_form .= "<div class='tbl2' style='width: 77%; padding-bottom: 2px; '>\n";
					$chat_form .= "<input spellcheck='true' autofocus='autofocus' autocomplete='off' placeholder='".$locale['fcha_066']."' type='text' maxlength='400' name='chat_message' value='' cols='90' rows='1'  id='chat-input' class='chat-textbox' style='width:100%;' />\n";
					$chat_form .= "<div style='float:right; font-size: 9px; color: #777;'>".$locale['fcha_064'].": <span style='color: #FF0000;'>".stripinput($fusion_chat_settings['flood_time'])."</span> ".$locale['fcha_065']."\n";
					$chat_form .= "</div>\n"; 
					}
					$chat_form .= "<div style='margin-top:5px;'>".display_bbcodes("400px;", "chat_message", "fusion_chat_form", "color|b|i|u|small|url|smiley")."</div>\n";
					$chat_form .= "</div>\n";
					$chat_form .= "<div  style='padding: 2px;'><span style='font-size: 10px; color: #777;'><strong>".$locale['fcha_067'].":</strong> <span style='color: #91002A; font-size: 9px;' title='".$locale['fcha_068']."'>[SA]</span> - ".$locale['fcha_068']."&nbsp;|&nbsp;<span style='color: #008000; font-size: 9px;' title='".$locale['fcha_069']."'>[A]</span> - ".$locale['fcha_069']."&nbsp;|&nbsp;<span style='color: #3D91C7; font-size: 9px;' title='".$locale['fcha_070']."'>[M]</span> - ".$locale['fcha_070']."</span>\n";
					$chat_form .= "<div style='float: right; font-size:9px; padding-bottom: 5px; margin-right: 1px;'><a onclick=\"window.open('".BASEDIR."infusions/fusion_chat/user_options_popup.php','".$locale['fcha_042']."','width=700,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-250)+'');return false;\" href=\"".BASEDIR."infusions/fusion_chat/user_options_popup.php\"><img style='border: 0px;' src='".INFUSIONS."fusion_chat/images/settings.png'  alt='".$locale['fcha_042']."' title='".$locale['fcha_042']."'/></a>";
					if (($rows) > 20) {
					$chat_form .= "&nbsp;&nbsp;<a onclick=\"window.open('".BASEDIR."infusions/fusion_chat/chat_archive-popup.php','".$locale['fcha_028']."','scrollbars=yes,width=700,height=600,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-250)+'');return false;\" href=\"".BASEDIR."infusions/fusion_chat/chat_archive-popup.php\"><img style='border: 0px;' src='".INFUSIONS."fusion_chat/images/archive.png' alt='".$locale['fcha_028']."' title='".$locale['fcha_028']."'/></a>\n"; }
					$chat_form .= "</div>\n";
					$chat_form .= "</div>\n";
					$chat_form .= "</div>\n";
					$chat_form .= "</form>\n";
					
					echo $chat_form;
					
				}
				
				include INFUSIONS."fusion_chat/includes/copyright_func.php";
					echo showlccopyright();
				echo"</div>";

			closetable();	
	
	}
  
}
	
require_once THEMES."templates/footer.php";
?>