<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Addon: Fusion Chat
| Filename: chat_admin.php
| Version: 1.00
| Author: PHP-Fusion Mods UK
| Developers: Craig
| Sites: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
if (!checkrights("CBX") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { redirect("../index.php"); }


require_once INCLUDES."bbcode_include.php";

if (file_exists(INFUSIONS."fusion_chat/locale/".$settings['locale'].".php")) {
	include INFUSIONS."fusion_chat/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."fusion_chat/locale/English.php";
}

include INFUSIONS."fusion_chat/infusion_db.php";

add_to_title($locale['global_200'].$locale['fcha_016']);
add_to_head("<script type='text/javascript' src='".INFUSIONS."fusion_chat/includes/js/jscolor/jscolor.js'></script>");

include INFUSIONS."fusion_chat/includes/chat_styles.php";


	if (isset($_GET['statusb']) && !isset($messageb)) {
	if ($_GET['statusb'] == "su") {
		$messageb = $locale['fcha_017'];
		} elseif ($_GET['statusb'] == "nsu") {
		$messageb = $locale['fcha_018'];
		}
		if ($messageb) {	echo "<div id='close-message'><div class='admin-message'>".$messageb."</div></div>\n"; }
		}

	if (isset($_POST['save']) && $_POST['flood_time'] !=="" && $_POST['flood_time'] > 4 && $_POST['flood_time'] < 101) {
		$result = dbquery("UPDATE ".DB_LCHAT_SETTINGS." SET  
		chat_enable='".(isNum($_POST['chat_enable']) ? $_POST['chat_enable'] : "0")."',
		flood_time='".addslash($_POST['flood_time'])."',	
		chat_admin_notice ='". stripinput($_POST['chat_admin_notice'])."',
		chat_bgcolour_gr1='".addslashes($_POST['chat_bgcolour_gr1'])."',
		chat_bgcolour_gr2='".addslashes($_POST['chat_bgcolour_gr2'])."',
		chat_bgcolour_chatbox='".addslashes($_POST['chat_bgcolour_chatbox'])."'
		");

	if (!$result) { 
		redirect(FUSION_SELF.$aidlink."&statusb=nsu");
		} else {
		redirect(FUSION_SELF.$aidlink."&statusb=su");
		}
	}

		$fusion_chat_settings = dbarray(dbquery("SELECT * FROM ".DB_LCHAT_SETTINGS));
		$chat_enable = isNum(stripinput($fusion_chat_settings['chat_enable']));
		$flood_time = stripinput($fusion_chat_settings['flood_time']);
        $chat_admin_notice = addslash($fusion_chat_settings['chat_admin_notice']);
		$chat_bgcolour_gr1 = stripinput($fusion_chat_settings['chat_bgcolour_gr1']);
		$chat_bgcolour_gr2 = stripinput($fusion_chat_settings['chat_bgcolour_gr2']);
		$chat_bgcolour_chatbox = stripinput($fusion_chat_settings['chat_bgcolour_chatbox']);
		$forma_title = $locale['fcha_019'];
	
		opentable($forma_title);
		echo "<form name='fusion_chat_settings_form' method='post' action='".FUSION_SELF.$aidlink."'>\n";
		echo "<table cellpadding='0' cellspacing='0' width='600'  class='tbl-border center' >\n<tr>\n";
		echo "<td  class='tbl' width='50%' align='left'>".$locale['fcha_020'].":</td>\n";
		echo "<td  class='tbl'><select name='chat_enable' class='textbox'>\n";
		echo "<option value='0'".($fusion_chat_settings['chat_enable'] == "0" ? " selected='selected'" : "").">".$locale['fcha_021']."</option>\n";
		echo "<option value='1'".($fusion_chat_settings['chat_enable'] == "1" ? " selected='selected'" : "").">".$locale['fcha_022']."</option>\n";
		echo "</select> ".(($fusion_chat_settings['chat_enable'] == "0") ? "<img class='admin-img' src='".INFUSIONS."fusion_chat/images/off.png' alt='".$locale['fcha_024']."' title='".$locale['fcha_024']."' />" : "<img class='admin-img' src='".INFUSIONS."fusion_chat/images/on.png' alt='".$locale['fcha_023']."' title='".$locale['fcha_023']."' />")."";
		echo "</tr><tr>";
		echo"<tr><td  width='50%' align='left' class='tbl'>".$locale['fcha_025'].": <span id='tip1' title='".$locale['fcha_026']."'><img style='border: 0px; vertical-align:middle;' src='".INFUSIONS."fusion_chat/images/help.png' alt=''/></span></td>";
	    echo" <td  class='tbl'><input class=' textbox' maxlength='3' name='flood_time' value='".$flood_time."' style='width: 30px;'/></td></tr>\n";
		echo "<td style='vertical-align: top;' class='tbl'>".$locale['fcha_051'].":</td>\n";
		echo "<td class='tbl'><textarea name='chat_admin_notice' cols='60' rows='5'  class='textbox' style='width:400px;'>$chat_admin_notice</textarea><br />\n";
		echo display_bbcodes("400px;", "chat_admin_notice", "fusion_chat_settings_form", "color|b|i|u|small|url")."\n";
		echo "</td>\n</tr>\n";
		echo"</table>\n";
		echo"<div class='admin-message'>".$locale['fcha_052']."</div>";
		echo "<table cellpadding='0' cellspacing='0' width='600' class='center'>\n<tr>\n";
		echo" <tr><td  width='50%' class='tbl'>".$locale['fcha_053'].":</td>";
		echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='chat_bgcolour_gr1' value='".$chat_bgcolour_gr1."'/></td>\n";
		echo "</tr>\n";
		echo" <tr><td  width='50%' class='tbl'>".$locale['fcha_054'].":</td>";
		echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='chat_bgcolour_gr2' value='".$chat_bgcolour_gr2."'/></td>\n";
		echo "</tr>\n";
		echo "</tr>\n";
		echo" <tr><td  width='50%' class='tbl'>".$locale['fcha_055'].":</td>";
		echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='chat_bgcolour_chatbox' value='".$chat_bgcolour_chatbox."'/></td>\n";
		echo "</tr>\n";
		echo"</table>\n";
		echo "<table cellpadding='0' cellspacing='0' width='600' class='center'>\n<tr>\n";
		echo "<td align='center' colspan='2' class='tbl'><br />\n";
		echo "<input type='submit' class='button' name='save' value='".$locale['fcha_027']."' />\n";
		echo "</td></tr>\n";
		echo "</table>\n";
		echo "</form>\n";
		closetable();
	


function chatboxwrap($text) {
	global $locale;

	$i = 0; $tags = 0; $chars = 0; $res = "";

	$str_len = strlen($text);

	for ($i = 0; $i < $str_len; $i++) {
		$chr = mb_substr($text, $i, 1, $locale['charset']);
		if ($chr == "<") {
			if (mb_substr($text, ($i + 1), 6, $locale['charset']) == "a href" || mb_substr($text, ($i + 1), 3, $locale['charset']) == "img") {
				$chr = " ".$chr;
				$chars = 0;
			}
			$tags++;
		} elseif ($chr == "&") {
			if (mb_substr($text, ($i + 1), 5, $locale['charset']) == "quot;") {
				$chars = $chars - 5;
			} elseif (mb_substr($text, ($i + 1), 4, $locale['charset']) == "amp;" || mb_substr($text, ($i + 1), 4, $locale['charset']) == "#39;" || mb_substr($text, ($i + 1), 4, $locale['charset']) == "#92;") {
				$chars = $chars - 4;
			} elseif (mb_substr($text, ($i + 1), 3, $locale['charset']) == "lt;" || mb_substr($text, ($i + 1), 3, $locale['charset']) == "gt;") {
				$chars = $chars - 3;
			}
		} elseif ($chr == ">") {
			$tags--;
		} elseif ($chr == " ") {
			$chars = 0;
		} elseif (!$tags) {
			$chars++;
		}

		if (!$tags && $chars == 40) {
			$chr .= " ";
			$chars = 0;
		}
		$res .= $chr;
	}

	return $res;
}


if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "del") {
		$message = "<strong>".$locale['fcha_003']."</strong>";
	} 
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
	}


if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['post_id']) && isnum($_GET['post_id']))) {
	$result = dbquery("DELETE FROM ".DB_LCHAT." WHERE post_id='".stripinput($_GET['post_id'])."'");
	redirect(FUSION_SELF.$aidlink."&status=del");
} 



opentable($locale['fcha_028']);	
		if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
		
		$rows = dbcount("(post_id)", DB_LCHAT);
		
		$result = dbquery("SELECT jo.post_id, jo.chat_user, jo.chat_datestamp, jo.chat_message,
		ju.user_id, ju.user_name, ju.user_status
		FROM ".DB_LCHAT." jo
		LEFT JOIN ".DB_USERS." ju ON jo.chat_user=ju.user_id
		ORDER BY post_id  DESC LIMIT ".$_GET['rowstart'].",20");
		if (dbrows($result)) {
		
$i = 0;
		
	
		
			while ($data = dbarray($result)) {
			$row_colorb = ($i % 2 == 0 ? "row1" : "row2");
		$row_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
		echo "<div class='tbl2'>\n";
		
echo "<div style='float:right; padding-top: 10px; padding-right: 15px;'>\n";
		if ((iADMIN && checkrights("CBX")) || (iMEMBER && dbcount("(post_id)", DB_LCHAT, "post_id='".$_GET['post_id']."' AND chat_user='".$userdata['user_id']."'"))) {
echo"<a href='".INFUSIONS."fusion_chat/chat_admin.php".$aidlink."&amp;action=delete&amp;post_id=".$data['post_id']."' onclick=\"return confirm('".$locale['fcha_013']."');\"><img src='".INFUSIONS."fusion_chat/images/delete.png' style='vertical-align: middle; border: 0px;' alt='".$locale['fcha_007']."' title='".$locale['fcha_007']."' /></a> \n";
}
echo"\n</div>\n";
echo "<div class='$row_colorb'><span class='comment-name'><span class='slink'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</span>\n</span>\n";
echo "<span class='small'>".showdate("longdate", $data['chat_datestamp'])."</span></div>";
echo "</div>\n<div class='$row_color'>\n".chatboxwrap(nl2br(parseubb(parsesmileys($data['chat_message']), "b|i|u|url|color|smiley")))."</div>\n";
		
		$i++;
		
}

} else {
		echo "<div style='text-align: center;'>".$locale['fcha_010']."</div>";
}

if (($rows) > 20) { echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($_GET['rowstart'],20,$rows,3,FUSION_SELF.$aidlink."&amp;")."\n</div>\n"; }
closetable();

add_to_footer("<script src='".BASEDIR."infusions/fusion_chat/includes/js/jquery.tipsy.js' type='text/javascript'></script>
<script type='text/javascript'>
    $(function() {
	  $('#tip1').tipsy({gravity: 'e'});  
 
    });
  </script>");

require_once THEMES."templates/footer.php";

?>