<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Addon: Fusion Chat
| Filename: chat_load.php
| Version: 1.00
| Author: PHP-Fusion Mods UK
| Developers: Craig
| Sites: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
if (!defined("IN_FUSION")) { die("Access Denied"); }
require_once INCLUDES."bbcode_include.php";

if (file_exists(INFUSIONS."fusion_chat/locale/".$settings['locale'].".php")) {
	include INFUSIONS."fusion_chat/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."fusion_chat/locale/English.php";
}

$fusion_chat_check = dbquery("SELECT * FROM ".DB_INFUSIONS. " WHERE inf_folder='fusion_chat'");

if (dbrows($fusion_chat_check) > 0) {
include INFUSIONS."fusion_chat/infusion_db.php";


$fusion_chat_settings = dbarray(dbquery("SELECT * FROM ".DB_LCHAT_SETTINGS));

if (!iMEMBER || $fusion_chat_settings['chat_enable'] !== "1" && !iADMIN && !checkrights("CBX")) { die("Access Denied"); }

function chatboxwrap($text) {
	global $locale;

	$i = 0; $tags = 0; $chars = 0; $res = "";

	$str_len = strlen($text);

	for ($i = 0; $i < $str_len; $i++) {
		$chr = mb_substr($text, $i, 1, $locale['charset']);
		if ($chr == "<") {
			if (mb_substr($text, ($i + 1), 6, $locale['charset']) == "a href" || mb_substr($text, ($i + 1), 3, $locale['charset']) == "img") {
				$chr = " ".$chr;
				$chars = 0;
			}
			$tags++;
		} elseif ($chr == "&") {
			if (mb_substr($text, ($i + 1), 5, $locale['charset']) == "quot;") {
				$chars = $chars - 5;
			} elseif (mb_substr($text, ($i + 1), 4, $locale['charset']) == "amp;" || mb_substr($text, ($i + 1), 4, $locale['charset']) == "#39;" || mb_substr($text, ($i + 1), 4, $locale['charset']) == "#92;") {
				$chars = $chars - 4;
			} elseif (mb_substr($text, ($i + 1), 3, $locale['charset']) == "lt;" || mb_substr($text, ($i + 1), 3, $locale['charset']) == "gt;") {
				$chars = $chars - 3;
			}
		} elseif ($chr == ">") {
			$tags--;
		} elseif ($chr == " ") {
			$chars = 0;
		} elseif (!$tags) {
			$chars++;
		}

		if (!$tags && $chars == 40) {
			$chr .= " ";
			$chars = 0;
		}
		$res .= $chr;
	}

	return $res;
}
		if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
		
		$rows = dbcount("(post_id)", DB_LCHAT);
		
		$result = dbquery("SELECT jo.post_id, jo.chat_user, jo.chat_datestamp, jo.chat_message,
		ju.user_id, ju.user_name, ju.user_status, ju.user_level
		FROM ".DB_LCHAT." jo
		LEFT JOIN ".DB_USERS." ju ON jo.chat_user=ju.user_id
		WHERE chat_datestamp > '".(time()-259200)."'
		ORDER BY post_id  ASC");
		if (dbrows($result)) {
			echo"<div style='height:4px;'></div>";
			while ($data = dbarray($result)) {
			
$resultb = dbquery("SELECT * FROM ".DB_LCHAT_OPTIONS." WHERE chat_options_user = '".$userdata['user_id']."' ");
		if (dbrows($resultb) != 0) {
		while ($datab = dbarray($resultb)) {
		if ($datab['chat_sounds'] =="1")  {
			if ($data['chat_datestamp']+1 > time() && $data['chat_user'] !== $userdata['user_id']) {
					$new = " <audio controls autoplay hidden='true'><source src='".INFUSIONS."fusion_chat/includes/new_msg.mp3' type='audio/mpeg'> Your browser does not support the audio element.</audio>";
				 } else {	
					$new = "";
				}

		echo $new;
}
}
}
echo "<div style='padding: 3px; width: 98%; margin-bottom: 2px;'>\n<strong><span style='font-size: 11px;'>";
if ($data['user_level'] == 103) {
echo "<span style='color: #91002A; font-size: 11px;' title='".$locale['fcha_068']."'>[SA]</span> ".profile_link($data['user_id'], $data['user_name'], $data['user_status']);
}elseif ($data['user_level'] == 102) {
echo "<span style='color: #008000; font-size: 11px;' title='".$locale['fcha_069']."'>[A]</span> ".profile_link($data['user_id'], $data['user_name'], $data['user_status']);
}else{
echo "<span style='color: #3D91C7; font-size: 11px;' title='".$locale['fcha_070']."'>[M]</span> ".profile_link($data['user_id'], $data['user_name'], $data['user_status']);
}
echo" - ".showdate("%d.%m.%Y %H:%M", $data['chat_datestamp']).":</strong></span> ".chatboxwrap(nl2br(parseubb(parsesmileys($data['chat_message']), "b|i|u|url|color|smiley")))."</div>\n";
		
}
echo"<div style='height:4px;'></div>";
} else {
		echo "<div style='text-align: center; margin-top: 20%;'>".$locale['fcha_010']."</div>\n";
}

}
?>