function AJAX() {
    try {
        xmlHttp = new XMLHttpRequest;
        return xmlHttp
    } catch (e) {
        try {
            xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
            return xmlHttp
        } catch (e) {
            try {
                xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
                return xmlHttp
            } catch (e) {
                alert("Your browser does not support AJAX.");
                return false
            }
        }
    }
}
var asyncRequest = function () {
    function handleReadyState(o, callback) {
        if (o && o.readyState == 4 && o.status == 200) {
            if (callback) {
                callback(o)
            }
        }
    }
    var getXHR = function () {
        var http;
        try {
            http = new XMLHttpRequest;
            getXHR = function () {
                return new XMLHttpRequest
            }
        } catch (e) {
            var msxml = ['MSXML2.XMLHTTP.3.0', 'MSXML2.XMLHTTP', 'Microsoft.XMLHTTP'];
            for (var i = 0, len = msxml.length; i < len; ++i) {
                try {
                    http = new ActiveXObject(msxml[i]);
                    getXHR = function () {
                        return new ActiveXObject(msxml[i])
                    };
                    break
                } catch (e) {}
            }
        }
        return http
    };
    return function (method, uri, callback, postData) {
        var http = getXHR();
        http.open(method, uri, true);
        handleReadyState(http, callback);
        http.send(postData || null);
        return http
    }
}();

function fetch_unix_timestamp() {
    return parseInt((new Date).getTime().toString().substring(0, 10))
}

function loadChat() {
    var oldscrollHeight = $("#livechatbox").prop("scrollHeight") - 20;
    $.ajax({
        url: "/infusions/fusion_chat/includes/chat_load.php",
        cache: false,
        success: function (html) {
            $("#livechatbox").html(html);
            var newscrollHeight = $("#livechatbox").prop("scrollHeight") - 20;
            if (newscrollHeight > oldscrollHeight) {
                $("#livechatbox").animate({
                    scrollTop: newscrollHeight
                }, 'normal')
            }
        },
    })
}
setInterval(loadChat, 1000);
$(document).ready(function () {
    $("#chat").on("submit", function (e) {
        $.ajax({
            url: "/infusions/fusion_chat/includes/post_to_chat.php",
            data: $(this).serialize(),
            type: "POST",
            success: function (e) {
                console.log(e);
                $("#chat-input").val("")
            },
            error: function (e) {
                $("#error").show().fadeOut(5e3)
            }
        });
        e.preventDefault()
    })
});
window.onload = function () {
    setTimeout("refreshdiv_livechatbox()", seconds * 1e3)
};
$(document).ready(function () {
    $.ajaxSetup({
        cache: false
    });
    setInterval(function () {
        $("#results").load("/infusions/fusion_chat/includes/users_load.php")
    }, 2500)
});

window.onload = function () {
    document.getElementById('outer-div').scrollIntoView();
}

$(function () {
    $("input#chat-input").attr("autocomplete", "off")
})