<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Addon: Fusion Chat
| Filename: user_options_popup.php
| Version: 1.00
| Author: PHP-Fusion Mods UK
| Developers: Craig
| Sites: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once INCLUDES."output_handling_include.php";
require_once INCLUDES."header_includes.php";
require_once THEME."theme.php";

require_once THEMES."templates/render_functions.php";

if (!defined("IN_FUSION")) { die("Access Denied"); }

require_once INCLUDES."bbcode_include.php";

if (file_exists(INFUSIONS."fusion_chat/locale/".$settings['locale'].".php")) {
	include INFUSIONS."fusion_chat/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."fusion_chat/locale/English.php";
}

include INFUSIONS."fusion_chat/infusion_db.php";
	
	
	global $settings;


echo "<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd'>\n";
echo "<html xmlns='http://www.w3.org/1999/xhtml' xml:lang='".$locale['xml_lang']."' lang='".$locale['xml_lang']."'>\n";
echo "<head>\n";
echo "<title>".$settings['sitename']." - ".$locale['fcha_042']."</title>\n";
echo "<meta http-equiv='Content-Type' content='text/html; charset=".$locale['charset']."' />\n";
echo "<meta name='description' content='".$settings['description']."' />\n";
echo "<meta name='keywords' content='".$settings['keywords']."' />\n";
echo "<style type='text/css'>html, body { height:100%; }</style>\n";
echo "<link rel='stylesheet' href='".THEME."styles.css' type='text/css' media='screen'/>\n";
echo "<link rel='shortcut icon' href='".IMAGES."favicon.ico' type='image/x-icon' />\n";
echo "</head>\n<body class='tbl2 setuser_body'>\n";

$fusion_chat_settings = dbarray(dbquery("SELECT * FROM ".DB_LCHAT_SETTINGS));
if (!iMEMBER) { redirect(BASEDIR."index.php"); }
if ($fusion_chat_settings['chat_enable'] !== "1" && !iADMIN && !checkrights("CBX")) { redirect(BASEDIR."index.php"); }
if ($fusion_chat_settings['chat_enable'] !== "1" && iADMIN && checkrights("CBX")) { echo"<div class='admin-message'>".$locale['fcha_057']."</div>"; }

add_to_head("<script type='text/javascript' src='".INCLUDES."jquery/admin-msg.js'></script>");


$chat_options_user = "";
$chat_status = "";
$chat_sounds = "";

	if (isset($_POST['go'])) {
	
		$chat_status= isNum(stripinput($_POST['chat_status'])) ? stripinput($_POST['chat_status']) : "";
		$chat_sounds= isNum(stripinput($_POST['chat_sounds'])) ? stripinput($_POST['chat_sounds']) : "";
	
		
		if ($chat_status || $chat_status=="0" || $chat_sounds) {
		
		$result = dbquery("SELECT * FROM ".DB_LCHAT_OPTIONS." WHERE chat_options_user = '".$userdata['user_id']."'");

		if (dbrows($result) != 0) {
		$options = dbquery("UPDATE ".DB_LCHAT_OPTIONS." SET  chat_status='$chat_status', chat_sounds='$chat_sounds'  WHERE chat_options_user='".$userdata['user_id']."'");
		echo "<script>window.close();</script>";
		}else{
		$options =dbquery("INSERT INTO ".DB_LCHAT_OPTIONS." (chat_options_user, chat_status, chat_sounds) VALUES('".$userdata['user_id']."', '$chat_status', '$chat_sounds')");
		echo "<script>window.close();</script>";
		}
		}
			}
			
	opentable($locale['fcha_042']);
	$result = dbquery("SELECT * FROM ".DB_LCHAT_OPTIONS." WHERE chat_options_user ='".$userdata['user_id']."'");
		if (dbrows($result) != 0) {
		while ($data = dbarray($result)) {
		
		echo "<form  name='user_status' method='post' action='".FUSION_SELF."'>\n";
		echo "<div  class='tbl-border center' style='width: 400px;'>\n";
		echo "<div style='float:left; padding: 10px;' class='tbl'>".$locale['fcha_043'].":</div>\n";
		echo"<div class='tbl' style='float:right; padding: 10px;'>\n";
		
		if ($data['chat_status'] == 0) { echo "".$locale['fcha_045'] ."&dash; <img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/online.png' alt='".$locale['fcha_045']."' title='".$locale['fcha_045']."' />";}
		elseif ($data['chat_status'] == 1) { echo "".$locale['fcha_046'] ."&dash; <img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/busy.png'  alt='".$locale['fcha_046']."' title='".$locale['fcha_046']."'/>"; }
		elseif ($data['chat_status'] == 2) { echo "".$locale['fcha_047'] ."&dash; <img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/idle.png' alt='".$locale['fcha_047']."' title='".$locale['fcha_047']."' />"; }
		elseif ($data['chat_status'] == 3) { echo "".$locale['fcha_048'] ."&dash; <img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/invisible.png' alt='".$locale['fcha_048']."' title='".$locale['fcha_048']."' />"; 
		}
		
		echo"</div>";
		echo "<div  style='width: 300px; text-align: center;' class='tbl'><select name='chat_status' class='textbox'>\n";
		echo "<option value='0'".($data['chat_status'] == "0" ? " selected='selected'" : "").">".$locale['fcha_045'] ."</option>\n";
		echo "<option value='1'".($data['chat_status'] == "1" ? " selected='selected'" : "").">".$locale['fcha_046'] ."</option>\n";
		echo "<option value='2'".($data['chat_status'] == "2" ? " selected='selected'" : "").">".$locale['fcha_047'] ."</option>\n";
		echo "<option value='3'".($data['chat_status'] == "3" ? " selected='selected'" : "").">".$locale['fcha_048'] ."</option>\n";
		echo "</select></div>";
		
		echo"<div class='tbl' align='center'><span style='font-size: 9px;'>".$locale['fcha_050']."</span></div>\n";
		echo "<div style='float:left; padding: 10px;' class='tbl'>".$locale['fcha_059'].":</div>\n";
		echo "<div  style='width: 300px; text-align: center;' class='tbl'><select name='chat_sounds' class='textbox'>\n";
		echo "<option value='0'".($data['chat_sounds'] == "0" ? " selected='selected'" : "").">".$locale['fcha_060']."</option>\n";
		echo "<option value='1'".($data['chat_sounds'] == "1" ? " selected='selected'" : "").">".$locale['fcha_061']."</option>\n";
		echo "</select></div></div>";
		
		echo "<div style='margin-top: 10px;' cellpadding='0' cellspacing='0' width='300'  class='tbl-border center' >\n
		<div class='tbl' align='center'><input type='submit' name='go' value='".$locale['fcha_049'] ."' class='button' /></div>\n";
		echo "</div>\n\n</form>";
				
		}
		}else{
	
		echo "<form name='user_options' method='post' action='".FUSION_SELF."'>\n";
		echo "<div  class='tbl-border center' style='width: 400px;'>\n";
			echo"<div class='tbl' style='float:right; padding: 10px;'>\n";
		
		if ($chat_status == 0) { echo "".$locale['fcha_045'] ."&dash; <img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/online.png' alt='".$locale['fcha_045']."' title='".$locale['fcha_045']."' />";}
		elseif ($chat_status == 1) { echo "".$locale['fcha_046'] ."&dash; <img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/busy.png'  alt='".$locale['fcha_046']."' title='".$locale['fcha_046']."'/>"; }
		elseif ($chat_status == 2) { echo "".$locale['fcha_047'] ."&dash; <img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/idle.png' alt='".$locale['fcha_047']."' title='".$locale['fcha_047']."' />"; }
		elseif ($chat_status == 3) { echo "".$locale['fcha_048'] ."&dash; <img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/invisible.png' alt='".$locale['fcha_048']."' title='".$locale['fcha_048']."' />"; 
		}
		
		echo"</div>";
		echo "<div style='float:left;' class='tbl'>".$locale['fcha_043'].":</div>\n";
		echo "<div  style='width: 300px; text-align: center;' class='tbl'><select name='chat_status' class='textbox'>\n";
		echo "<option value='0'".($chat_status == "0" ? " selected='selected'" : "").">".$locale['fcha_045'] ."</option>\n";
		echo "<option value='1'".($chat_status == "1" ? " selected='selected'" : "").">".$locale['fcha_046'] ."</option>\n";
		echo "<option value='2'".($chat_status == "2" ? " selected='selected'" : "").">".$locale['fcha_047'] ."</option>\n";
		echo "<option value='3'".($chat_status == "3" ? " selected='selected'" : "").">".$locale['fcha_048'] ."</option>\n";
		echo "</select></div>";
		
		echo"<div class='tbl' align='center'><span style='font-size: 9px;'>".$locale['fcha_050']."</span>";
		echo"</div>\n";
		echo "<div style='float:left; padding: 10px;' class='tbl'>".$locale['fcha_059'].":</div>\n";
		echo "<div  style='width: 300px; text-align: center;' class='tbl'><select name='chat_sounds' class='textbox'>\n";
		echo "<option value='0'".($chat_sounds == "0" ? " selected='selected'" : "").">".$locale['fcha_060']."</option>\n";
		echo "<option value='1'".($chat_sounds == "1" ? " selected='selected'" : "").">".$locale['fcha_061']."</option>\n";
		echo "</select></div></div>";
		echo "<div style='margin-top: 10px;' cellpadding='0' cellspacing='0' width='300'  class='tbl-border center' >\n
		<div class='tbl' align='center'><input type='submit' name='go' value='".$locale['fcha_049'] ."' class='button' /></div>\n";
		echo "</div>\n\n</form>\n";
		}
		closetable();
echo "</body>\n</html>\n";

if (ob_get_length() !== FALSE){
	ob_end_flush();
}

mysql_close($db_connect);
?>