<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Addon: Fusion Chat
| Filename: chat_archive-popup.php
| Version: 1.00
| Author: PHP-Fusion Mods UK
| Developers: Craig
| Sites: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once INCLUDES."output_handling_include.php";
require_once INCLUDES."header_includes.php";
require_once THEME."theme.php";

require_once THEMES."templates/render_functions.php";

if (!defined("IN_FUSION")) { die("Access Denied"); }

require_once INCLUDES."bbcode_include.php";

if (file_exists(INFUSIONS."fusion_chat/locale/".$settings['locale'].".php")) {
	include INFUSIONS."fusion_chat/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."fusion_chat/locale/English.php";
}

$fusion_chat_check = dbquery("SELECT * FROM ".DB_INFUSIONS. " WHERE inf_folder='fusion_chat'");

if (dbrows($fusion_chat_check) > 0) {
include INFUSIONS."fusion_chat/infusion_db.php";
	
	
	global $settings;

echo "<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd'>\n";
echo "<html xmlns='http://www.w3.org/1999/xhtml' xml:lang='".$locale['xml_lang']."' lang='".$locale['xml_lang']."'>\n";
echo "<head>\n";
echo "<title>".$settings['sitename']." - ".$locale['fcha_028']."</title>\n";
echo "<meta http-equiv='Content-Type' content='text/html; charset=".$locale['charset']."' />\n";
echo "<meta name='description' content='".$settings['description']."' />\n";
echo "<meta name='keywords' content='".$settings['keywords']."' />\n";
echo "<style type='text/css'>html, body { height:100%; }</style>\n";
echo "<link rel='stylesheet' href='".THEME."styles.css' type='text/css' media='screen'/>\n";
echo "<link rel='shortcut icon' href='".IMAGES."favicon.ico' type='image/x-icon' />\n";
echo "</head>\n<body class='tbl2 setuser_body'>\n";

$fusion_chat_settings = dbarray(dbquery("SELECT * FROM ".DB_LCHAT_SETTINGS));
if (!iMEMBER) { redirect(BASEDIR."index.php"); }
if ($fusion_chat_settings['chat_enable'] !== "1" && !iADMIN && !checkrights("CBX")) { redirect(BASEDIR."index.php"); }
if ($fusion_chat_settings['chat_enable'] !== "1" && iADMIN && checkrights("CBX")) { echo"<div class='admin-message'><span style='color: #ff0000;'>Attention:</span> Live Chat Is Disabled</div>"; }

add_to_title($locale['global_200'].$locale['fcha_028']);

function chatboxwrap($text) {
	global $locale;

	$i = 0; $tags = 0; $chars = 0; $res = "";

	$str_len = strlen($text);

	for ($i = 0; $i < $str_len; $i++) {
		$chr = mb_substr($text, $i, 1, $locale['charset']);
		if ($chr == "<") {
			if (mb_substr($text, ($i + 1), 6, $locale['charset']) == "a href" || mb_substr($text, ($i + 1), 3, $locale['charset']) == "img") {
				$chr = " ".$chr;
				$chars = 0;
			}
			$tags++;
		} elseif ($chr == "&") {
			if (mb_substr($text, ($i + 1), 5, $locale['charset']) == "quot;") {
				$chars = $chars - 5;
			} elseif (mb_substr($text, ($i + 1), 4, $locale['charset']) == "amp;" || mb_substr($text, ($i + 1), 4, $locale['charset']) == "#39;" || mb_substr($text, ($i + 1), 4, $locale['charset']) == "#92;") {
				$chars = $chars - 4;
			} elseif (mb_substr($text, ($i + 1), 3, $locale['charset']) == "lt;" || mb_substr($text, ($i + 1), 3, $locale['charset']) == "gt;") {
				$chars = $chars - 3;
			}
		} elseif ($chr == ">") {
			$tags--;
		} elseif ($chr == " ") {
			$chars = 0;
		} elseif (!$tags) {
			$chars++;
		}

		if (!$tags && $chars == 40) {
			$chr .= " ";
			$chars = 0;
		}
		$res .= $chr;
	}

	return $res;
}
opentable($locale['fcha_028']);	
		if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
		
		$rows = dbcount("(post_id)", DB_LCHAT);
		if (($rows) < 20) { redirect(BASEDIR."index.php"); }
		$result = dbquery("SELECT jo.post_id, jo.chat_user, jo.chat_datestamp, jo.chat_message, 
		ju.user_id, ju.user_name, ju.user_status, ju.user_level
		FROM ".DB_LCHAT." jo
		LEFT JOIN ".DB_USERS." ju ON jo.chat_user=ju.user_id
		ORDER BY post_id  DESC LIMIT ".$_GET['rowstart'].",20");
		if (dbrows($result)) {
		
			while ($data = dbarray($result)) {
		
echo "<div style='padding: 3px; width: 98%; margin-bottom: 10px;'>\n<strong><span style='font-size: 10px;'>";

if ($data['user_level'] == 103) {
echo "<span style='color: #91002A; font-size: 11px;' title='".$locale['fcha_068']."'>[SA]</span> ".profile_link($data['user_id'], $data['user_name'], $data['user_status']);
}elseif ($data['user_level'] == 102) {
echo "<span style='color: #008000; font-size: 11px;' title='".$locale['fcha_069']."'>[A]</span> ".profile_link($data['user_id'], $data['user_name'], $data['user_status']);
}else{
echo "<span style='color: #3D91C7; font-size: 11px;' title='".$locale['fcha_070']."'>[M]</span> ".profile_link($data['user_id'], $data['user_name'], $data['user_status']);
}
echo" - ".showdate("%d.%m.%Y %H:%M", $data['chat_datestamp']).":</strong></span> ".chatboxwrap(nl2br(parseubb(parsesmileys($data['chat_message']), "b|i|u|url|color|smiley")))."</div>\n";
		
}

} else {
		echo "<div style='text-align: center;'>".$locale['fcha_010']."</div>";
}

if (($rows) > 20) { echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($_GET['rowstart'],20,$rows,3,FUSION_SELF."?")."\n</div>\n"; }

closetable();
}
echo "</body>\n</html>\n";

if (ob_get_length() !== FALSE){
	ob_end_flush();
}

mysql_close($db_connect);
?>