<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Addon: Fusion Chat
| Filename: chat_styles.php
| Version: 1.00
| Author: PHP-Fusion Mods UK
| Developers: Craig
| Sites: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

$fusion_chat_check = dbquery("SELECT * FROM ".DB_INFUSIONS. " WHERE inf_folder='fusion_chat'");

if (dbrows($fusion_chat_check) > 0) {

include INFUSIONS."fusion_chat/infusion_db.php";

$fusion_chat_settings = dbarray(dbquery("SELECT * FROM ".DB_LCHAT_SETTINGS));


add_to_head("<style type='text/css'>
.chat-info {
    background-color: #FFB7B7;
    border-bottom: 1px solid #FF0000;
    border-top: 1px solid #FF0000;
    color: #490000;
    font-size: 10px;
    margin-bottom: 10px;
    padding-left: 2px;
    padding-right: 2px;
    padding-top: 5px;
	padding-bottom: 5px;
    text-align: center;
    width: 98%;
	
}
.flood-control {
    background-color: #FFB7B7;
    border-bottom: 1px solid #FF0000;
    border-top: 1px solid #FF0000;
    color: #490000;
    font-size: 12px;
    font-weight: bold;
    margin-bottom: 10px;
    padding-left: 2px;
    padding-right: 2px;
    padding-top: 5px;
	padding-bottom: 5px;
    text-align: center;
    width: 98%;
}
.counter { 
	font-size:9px; 
	color:#ff0000; 
} 
.counterc { 
	font-size:9px; 
} 
.hr-chat {
	 margin-top: 5px;
	 margin-bottom: 6px; 
	 width: 100%; 
	 height: 1px; 
	 background-color: #ccc; 
}

.chat-textbox {
    background: none repeat scroll 0 0 #FFFFF;
    border: 1px solid #CACACA;
    border-radius: 2px 2px 2px 2px;
    color: #A0A09E;
    font-family: 'lucida grande',tahoma,verdana,arial,sans-serif;
    font-size: 12px;
    margin: 0 0 2px;
    padding: 5px 2px 5px 5px;
}

.chat-textbox:focus {
    background-color: #F5F5F5;
    border-color: #E3E0DA;
    color: #3C3C3D;
}

.main-outer { -webkit-border-radius: 10px; border-radius: 10px;  margin: 20px 20% 20px 20%; padding: 20px; padding-left: 30px; padding-right: 35px; width: 65%; background: #".stripinput($fusion_chat_settings['chat_bgcolour_gr1'])."; /* Old browsers */
/* IE9 SVG, needs conditional override of 'filter' to 'none' */

background: -moz-linear-gradient(top,  #".stripinput($fusion_chat_settings['chat_bgcolour_gr1'])." 0%, #".stripinput($fusion_chat_settings['chat_bgcolour_gr2'])." 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#".stripinput($fusion_chat_settings['chat_bgcolour_gr1'])."), color-stop(100%,#".stripinput($fusion_chat_settings['chat_bgcolour_gr2']).")); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top,  #".stripinput($fusion_chat_settings['chat_bgcolour_gr1'])." 0%,#".stripinput($fusion_chat_settings['chat_bgcolour_gr2'])." 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top,  #".stripinput($fusion_chat_settings['chat_bgcolour_gr1'])." 0%,#".stripinput($fusion_chat_settings['chat_bgcolour_gr2'])." 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(top,  #".stripinput($fusion_chat_settings['chat_bgcolour_gr1'])." 0%,#".stripinput($fusion_chat_settings['chat_bgcolour_gr2'])." 100%); /* IE10+ */
background: linear-gradient(to bottom,  #".stripinput($fusion_chat_settings['chat_bgcolour_gr1'])." 0%,#".stripinput($fusion_chat_settings['chat_bgcolour_gr2'])." 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#".stripinput($fusion_chat_settings['chat_bgcolour_gr1'])."', endColorstr='#".stripinput($fusion_chat_settings['chat_bgcolour_gr2'])."',GradientType=0 ); /* IE6-8 */
}
.admin-img {
padding-left: 5px;
border: 0px;
}

.load-container { 
margin-left: 43%; 
margin-top:20%;
}

.barlittle {
	background-color:#2187e7;  
	background-image: -moz-linear-gradient(45deg, #2187e7 25%, #a0eaff); 
	background-image: -webkit-linear-gradient(45deg, #2187e7 25%, #a0eaff);
	width:8px;
	height:8px;
	float:left;
	margin-left:5px;
    opacity:0.1;
	-moz-transform:scale(0.7);
	-webkit-transform:scale(0.7);
	-moz-animation:move 1s infinite linear;
	-webkit-animation:move 1s infinite linear;

}
#block_1{
 	-moz-animation-delay: .4s;
	-webkit-animation-delay: .4s;
border-radius: 15px;
 }
#block_2{
 	-moz-animation-delay: .3s;
	-webkit-animation-delay: .3s;
border-radius: 15px;
}
#block_3{
 	-moz-animation-delay: .2s;
	-webkit-animation-delay: .2s;
border-radius: 15px;
}
#block_4{
 	-moz-animation-delay: .3s;
	-webkit-animation-delay: .3s;
border-radius: 15px;
}
#block_5{
 	-moz-animation-delay: .4s;
	-webkit-animation-delay: .4s;
border-radius: 15px;
}
@-moz-keyframes move{
	0%{-moz-transform: scale(1.2);opacity:1;}
	100%{-moz-transform: scale(0.7);opacity:0.1;}
}
@-webkit-keyframes move{
	0%{-webkit-transform: scale(1.2);opacity:1;}
	100%{-webkit-transform: scale(0.7);opacity:0.1;}
}

/* Trigger button for javascript */

.trigger, .triggerFull, .triggerBar {
	background: #000000;
	background: -moz-linear-gradient(top, #161616 0%, #000000 100%);
	background: -webkit-linear-gradient(top, #161616 0%,#000000 100%);
	border-left:1px solid #111; border-top:1px solid #111; border-right:1px solid #333; border-bottom:1px solid #333; 
	font-family: Verdana, Geneva, sans-serif;
	font-size: 0.8em;
	text-decoration: none;
	text-transform: lowercase;
	text-align: center;
	color: #fff;
	padding: 10px;
	border-radius: 3px;
	display: block;
	margin: 0 auto;
	width: 140px;
}
		
.trigger:hover, .triggerFull:hover, .triggerBar:hover {
	background: -moz-linear-gradient(top, #202020 0%, #161616 100%);
	background: -webkit-linear-gradient(top, #202020 0%, #161616 100%);
}
.tipsy { opacity:.8; filter:alpha(opacity=80); background-repeat:no-repeat; padding:5px; }
.tipsy-inner { padding:8px 8px; max-width:200px; font:11px 'Lucida Grande', sans-serif; font-weight:bold; -moz-border-radius:4px; -khtml-border-radius:4px; -webkit-border-radius:4px; border-radius:4px; -moz-box-shadow: 0 0 3px #888; -webkit-box-shadow: 0 0 3px #888; box-shadow: 0 0 3px #888; background-color:#555; color:white; text-align:left;}
.tipsy-east { opacity:.9; filter:alpha(opacity=90); 	background-image:url(".INFUSIONS."fusion_chat/images/tipsy-east.gif); 	background-position:right center; }
.tipsy-west { opacity:.9; filter:alpha(opacity=90); 	background-image:url(../images/tipsy-west.gif); 	background-position:left center; }

</style>");
}

?>