<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Addon: Fusion Chat
| Filename: users_load.php
| Version: 1.00
| Author: PHP-Fusion Mods UK
| Developers: Craig
| Sites: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";

if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."fusion_chat/locale/".$settings['locale'].".php")) {
	include INFUSIONS."fusion_chat/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."fusion_chat/locale/English.php";
}

$fusion_chat_check = dbquery("SELECT * FROM ".DB_INFUSIONS. " WHERE inf_folder='fusion_chat'");

if (dbrows($fusion_chat_check) > 0) {

include INFUSIONS."fusion_chat/infusion_db.php";
$fusion_chat_settings = dbarray(dbquery("SELECT * FROM ".DB_LCHAT_SETTINGS));

if (!iMEMBER || $fusion_chat_settings['chat_enable'] !== "1" && !iADMIN && !checkrights("CBX")) { die("Access Denied"); }

global $userdata;
	echo "<div style='float:left; '><strong><span style='font-size: 10px;'>".$locale['fcha_056'].":</span></strong><br />";
	$result = dbquery("SELECT * FROM ".DB_LCHAT_ONLINE." WHERE chat_online_user=".($userdata['user_level'] != 0 ? "'".$userdata['user_id']."'" : "'0' AND online_ip='".USER_IP."'"));
if (dbrows($result)) {
	$result = dbquery("UPDATE ".DB_LCHAT_ONLINE." SET chat_online_lastactive='".time()."' WHERE chat_online_user=".($userdata['user_level'] != 0 ? "'".$userdata['user_id']."'" : "'0' AND chat_online_ip='".USER_IP."'")."");
} else {
	$result = dbquery("INSERT INTO ".DB_LCHAT_ONLINE." (chat_online_user, chat_online_ip, chat_online_lastactive) VALUES ('".($userdata['user_level'] != 0 ? $userdata['user_id'] : "0")."', '".USER_IP."', '".time()."')");
}
$result = dbquery("DELETE FROM ".DB_LCHAT_ONLINE." WHERE chat_online_lastactive<".(time()-60)."");

	
	$result = dbquery(
	"SELECT ton.*, tu.user_id,
	tu.user_name,
	tu.user_status, tu.user_level FROM ".DB_LCHAT_ONLINE." ton
	LEFT JOIN ".DB_USERS." tu ON ton.chat_online_user=tu.user_id WHERE tu.user_id !='0' ORDER BY user_id ASC"
);

if (dbrows($result) != 0) {

	while ($data = dbarray($result)) {
	$resultb = dbquery("SELECT * FROM ".DB_LCHAT_OPTIONS." WHERE chat_options_user = '".$data['chat_online_user']."' LIMIT 1");

if (dbrows($resultb) != 0) {
while ($datab = dbarray($resultb)) {
	if ($data['chat_online_user'] !== "0") {
	
	if ($data['user_level'] == 103) {
	if ($datab['chat_status'] == 0) { echo "<div style='margin-top: 5px;'><span style='color: #91002A; font-size: 11px;' title='".$locale['fcha_068']."'>[SA]</span> <a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".trimlink($data['user_name'], 12)."</a><div style='float:right; padding-left: 20px;'>".(($data['chat_online_user'] == $userdata['user_id']) ? "<a onclick=\"window.open('".BASEDIR."infusions/fusion_chat/user_options_popup.php','".$locale['fcha_042']."','width=700,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-250)+'');return false;\" href=\"".BASEDIR."infusions/fusion_chat/user_options_popup.php\"><img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/online.png' alt='".$locale['fcha_045']."' title='".$locale['fcha_045']."' /></a>" : "<img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/online.png' alt='".$locale['fcha_045']."' title='".$locale['fcha_045']."' />")."</div></div>";}
		elseif ($datab['chat_status'] == 1) { echo "<div style='margin-top: 5px;'><span style='color: #91002A; font-size: 11px;' title='".$locale['fcha_068']."'>[SA]</span> <a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".trimlink($data['user_name'], 12)."</a><div style='float:right; padding-left: 20px;'>".(($data['chat_online_user'] == $userdata['user_id']) ? "<a onclick=\"window.open('".BASEDIR."infusions/fusion_chat/user_options_popup.php','".$locale['fcha_042']."','width=700,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-250)+'');return false;\" href=\"".BASEDIR."infusions/fusion_chat/user_options_popup.php\"><img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/busy.png' alt='".$locale['fcha_046']."' title='".$locale['fcha_046']."' /></a>" : "<img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/busy.png' alt='".$locale['fcha_046']."' title='".$locale['fcha_046']."' />")."</div></div>"; }
		elseif ($datab['chat_status'] == 2) { echo "<div style='margin-top: 5px;'><span style='color: #91002A; font-size: 11px;' title='".$locale['fcha_068']."'>[SA]</span> <a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".trimlink($data['user_name'], 12)."</a><div style='float:right; padding-left: 20px;'>".(($data['chat_online_user'] == $userdata['user_id']) ? "<a onclick=\"window.open('".BASEDIR."infusions/fusion_chat/user_options_popup.php','".$locale['fcha_042']."','width=700,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-250)+'');return false;\" href=\"".BASEDIR."infusions/fusion_chat/user_options_popup.php\"><img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/idle.png' alt='".$locale['fcha_047']."' title='".$locale['fcha_047']."' /></a>" : "<img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/idle.png' alt='".$locale['fcha_047']."' title='".$locale['fcha_047']."' />")."</div></div>"; }
		elseif ($datab['chat_status'] == 3 && $data['chat_online_user'] == $userdata['user_id'] || iADMIN && checkrights("CBX")) { echo "<div style='margin-top: 5px;'><span style='color: #91002A; font-size: 11px;' title='".$locale['fcha_068']."'>[SA]</span> <a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".trimlink($data['user_name'], 12)."</a><div style='float:right; padding-left: 20px;'>".(($data['chat_online_user'] == $userdata['user_id']) ? "<a onclick=\"window.open('".BASEDIR."infusions/fusion_chat/user_options_popup.php','".$locale['fcha_042']."','width=700,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-250)+'');return false;\" href=\"".BASEDIR."infusions/fusion_chat/user_options_popup.php\"><img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/invisible.png' alt='".$locale['fcha_048']."' title='".$locale['fcha_048']."' /></a>" : "<img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/invisible.png' alt='".$locale['fcha_048']."' title='".$locale['fcha_048']."' />")."</div></div>"; 
		}
}elseif ($data['user_level'] == 102) {

	if ($datab['chat_status'] == 0) { echo "<div style='margin-top: 5px;'><span style='color: #008000; font-size: 11px; padding-right: 6px;' title='".$locale['fcha_068']."'>[A]</span> <a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".trimlink($data['user_name'], 12)."</a><div style='float:right; padding-left: 20px;'>".(($data['chat_online_user'] == $userdata['user_id']) ? "<a onclick=\"window.open('".BASEDIR."infusions/fusion_chat/user_options_popup.php','".$locale['fcha_042']."','width=700,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-250)+'');return false;\" href=\"".BASEDIR."infusions/fusion_chat/user_options_popup.php\"><img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/online.png' alt='".$locale['fcha_045']."' title='".$locale['fcha_045']."' /></a>" : "<img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/online.png' alt='".$locale['fcha_045']."' title='".$locale['fcha_045']."' />")."</div></div>";}
		elseif ($datab['chat_status'] == 1) { echo "<div style='margin-top: 5px;'><span style='color: #008000; font-size: 11px; padding-right: 6px;' title='".$locale['fcha_068']."'>[A]</span> <a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".trimlink($data['user_name'], 12)."</a><div style='float:right; padding-left: 20px;'>".(($data['chat_online_user'] == $userdata['user_id']) ? "<a onclick=\"window.open('".BASEDIR."infusions/fusion_chat/user_options_popup.php','".$locale['fcha_042']."','width=700,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-250)+'');return false;\" href=\"".BASEDIR."infusions/fusion_chat/user_options_popup.php\"><img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/busy.png' alt='".$locale['fcha_046']."' title='".$locale['fcha_046']."' /></a>" : "<img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/busy.png' alt='".$locale['fcha_046']."' title='".$locale['fcha_046']."' />")."</div></div>"; }
		elseif ($datab['chat_status'] == 2) { echo "<div style='margin-top: 5px;'><span style='color: #008000; font-size: 11px; padding-right: 6px;' title='".$locale['fcha_068']."'>[A]</span> <a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".trimlink($data['user_name'], 12)."</a><div style='float:right; padding-left: 20px;'>".(($data['chat_online_user'] == $userdata['user_id']) ? "<a onclick=\"window.open('".BASEDIR."infusions/fusion_chat/user_options_popup.php','".$locale['fcha_042']."','width=700,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-250)+'');return false;\" href=\"".BASEDIR."infusions/fusion_chat/user_options_popup.php\"><img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/idle.png' alt='".$locale['fcha_047']."' title='".$locale['fcha_047']."' /></a>" : "<img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/idle.png' alt='".$locale['fcha_047']."' title='".$locale['fcha_047']."' />")."</div></div>"; }
		elseif ($datab['chat_status'] == 3 && $data['chat_online_user'] == $userdata['user_id'] || iADMIN && checkrights("CBX")) { echo "<div style='margin-top: 5px;'><span style='color: #008000; padding-right: 6px; font-size: 11px;' title='".$locale['fcha_068']."'>[A]</span> <a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".trimlink($data['user_name'], 12)."</a><div style='float:right; padding-left: 20px;'>".(($data['chat_online_user'] == $userdata['user_id']) ? "<a onclick=\"window.open('".BASEDIR."infusions/fusion_chat/user_options_popup.php','".$locale['fcha_042']."','width=700,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-250)+'');return false;\" href=\"".BASEDIR."infusions/fusion_chat/user_options_popup.php\"><img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/invisible.png' alt='".$locale['fcha_048']."' title='".$locale['fcha_048']."' /></a>" : "<img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/invisible.png' alt='".$locale['fcha_048']."' title='".$locale['fcha_048']."' />")."</div></div>"; 
		}
}else{

	if ($datab['chat_status'] == 0) { echo "<div style='margin-top: 5px;'><span style='color: #3D91C7; font-size: 11px; padding-right: 4px;' title='".$locale['fcha_070']."'>[M]</span> <a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".trimlink($data['user_name'], 12)."</a><div style='float:right; padding-left: 20px;'>".(($data['chat_online_user'] == $userdata['user_id']) ? "<a onclick=\"window.open('".BASEDIR."infusions/fusion_chat/user_options_popup.php','".$locale['fcha_042']."','width=700,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-250)+'');return false;\" href=\"".BASEDIR."infusions/fusion_chat/user_options_popup.php\"><img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/online.png' alt='".$locale['fcha_045']."' title='".$locale['fcha_045']."' /></a>" : "<img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/online.png' alt='".$locale['fcha_045']."' title='".$locale['fcha_045']."' />")."</div></div>";}
		elseif ($datab['chat_status'] == 1) { echo "<div style='margin-top: 5px;'><span style='color: #3D91C7; font-size: 11px; padding-right: 5px;' title='".$locale['fcha_070']."'>[M]</span> <a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".trimlink($data['user_name'], 12)."</a><div style='float:right; padding-left: 20px;'>".(($data['chat_online_user'] == $userdata['user_id']) ? "<a onclick=\"window.open('".BASEDIR."infusions/fusion_chat/user_options_popup.php','".$locale['fcha_042']."','width=700,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-250)+'');return false;\" href=\"".BASEDIR."infusions/fusion_chat/user_options_popup.php\"><img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/busy.png' alt='".$locale['fcha_046']."' title='".$locale['fcha_046']."' /></a>" : "<img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/busy.png' alt='".$locale['fcha_046']."' title='".$locale['fcha_046']."' />")."</div></div>"; }
		elseif ($datab['chat_status'] == 2) { echo "<div style='margin-top: 5px;'><span style='color: #3D91C7; font-size: 11px;padding-right: 5px; ' title='".$locale['fcha_070']."'>[M]</span> <a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".trimlink($data['user_name'], 12)."</a><div style='float:right; padding-left: 20px;'>".(($data['chat_online_user'] == $userdata['user_id']) ? "<a onclick=\"window.open('".BASEDIR."infusions/fusion_chat/user_options_popup.php','".$locale['fcha_042']."','width=700,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-250)+'');return false;\" href=\"".BASEDIR."infusions/fusion_chat/user_options_popup.php\"><img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/idle.png' alt='".$locale['fcha_047']."' title='".$locale['fcha_047']."' /></a>" : "<img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/idle.png' alt='".$locale['fcha_047']."' title='".$locale['fcha_047']."' />")."</div></div>"; }
		elseif ($datab['chat_status'] == 3 && $data['chat_online_user'] == $userdata['user_id'] || iADMIN && checkrights("CBX")) { echo "<div style='margin-top: 5px;'>&dash; <span style='color: #3D91C7; font-size: 11px; padding-right: 4px;' title='".$locale['fcha_070']."'>[M]</span> <a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".trimlink($data['user_name'], 12)."</a><div style='float:right; padding-left: 20px;'>".(($data['chat_online_user'] == $userdata['user_id']) ? "<a onclick=\"window.open('".BASEDIR."infusions/fusion_chat/user_options_popup.php','".$locale['fcha_042']."','width=700,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-250)+'');return false;\" href=\"".BASEDIR."infusions/fusion_chat/user_options_popup.php\"><img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/invisible.png' alt='".$locale['fcha_048']."' title='".$locale['fcha_048']."' /></a>" : "<img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/invisible.png' alt='".$locale['fcha_048']."' title='".$locale['fcha_048']."' />")."</div></div>"; 
		}
}

	
	}
	}
	}else{
	if ($data['user_level'] == 103) {
echo "<div style='margin-top: 5px;'><span style='color: #91002A; font-size: 11px;' title='".$locale['fcha_068']."'>[SA]</span> <a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".trimlink($data['user_name'], 12)."</a><div style='float:right; padding-left: 20px;'>".(($data['chat_online_user'] == $userdata['user_id']) ? "<a onclick=\"window.open('".BASEDIR."infusions/fusion_chat/user_options_popup.php','".$locale['fcha_042']."','width=700,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-250)+'');return false;\" href=\"".BASEDIR."infusions/fusion_chat/user_options_popup.php\"><img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/online.png' alt='".$locale['fcha_045']."' title='".$locale['fcha_045']."' /></a>" : "<img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/online.png' alt='".$locale['fcha_045']."' title='".$locale['fcha_045']."' />")."</div></div>";
	}elseif ($data['user_level'] == 102) {
	echo "<div style='margin-top: 5px;'><span style='color: #008000; font-size: 11px; padding-right: 6px;' title='".$locale['fcha_068']."'>[A]</span> <a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".trimlink($data['user_name'], 12)."</a><div style='float:right; padding-left: 20px;'>".(($data['chat_online_user'] == $userdata['user_id']) ? "<a onclick=\"window.open('".BASEDIR."infusions/fusion_chat/user_options_popup.php','".$locale['fcha_042']."','width=700,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-250)+'');return false;\" href=\"".BASEDIR."infusions/fusion_chat/user_options_popup.php\"><img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/online.png' alt='".$locale['fcha_045']."' title='".$locale['fcha_045']."' /></a>" : "<img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/online.png' alt='".$locale['fcha_045']."' title='".$locale['fcha_045']."' />")."</div></div>";
}else{
echo "<div style='margin-top: 5px;'><span style='color: #3D91C7; font-size: 11px; padding-right: 4px;' title='".$locale['fcha_070']."'>[M]</span> <a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".trimlink($data['user_name'], 12)."</a><div style='float:right; padding-left: 20px;'>".(($data['chat_online_user'] == $userdata['user_id']) ? "<a onclick=\"window.open('".BASEDIR."infusions/fusion_chat/user_options_popup.php','".$locale['fcha_042']."','width=700,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-250)+'');return false;\" href=\"".BASEDIR."infusions/fusion_chat/user_options_popup.php\"><img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/online.png' alt='".$locale['fcha_045']."' title='".$locale['fcha_045']."' /></a>" : "<img style='vertical-align:middle; border: 0px;' src='".INFUSIONS."fusion_chat/images/online.png' alt='".$locale['fcha_045']."' title='".$locale['fcha_045']."' />")."</div></div>";
}
}
	}
	}

	echo"</div>";
}
?>
