<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Nick Jones,  PHP-Fusion Mods UK
| Developers: Craig
| Support: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."fusion_chat/infusion_db.php";
if (file_exists(INFUSIONS."fusion_chat/locale/".$settings['locale'].".php")) {
		include INFUSIONS."fusion_chat/locale/".$settings['locale'].".php";
	} else {
		include INFUSIONS."fusion_chat/locale/English.php";
	}

// Infusion general information
$inf_title = $locale['inf_title'];
$inf_description = $locale['inf_desc'] ;
$inf_version = "1.00";
$inf_developer = "PHP-Fusion Mods UK";
$inf_email = "admin@phpfusionmods.co.uk";
$inf_weburl = "http://www.phpfusionmods.co.uk";

$inf_folder = "fusion_chat";

$inf_newtable[1] = DB_LCHAT." (
post_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
chat_user MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
chat_datestamp int(10) UNSIGNED NOT NULL default '0',
user_last int(10) UNSIGNED NOT NULL default '0',
chat_message VARCHAR(400) NOT NULL DEFAULT '',
PRIMARY KEY (post_id)
) ENGINE=MyISAM;";

$inf_newtable[2] = DB_LCHAT_SETTINGS." (
chat_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
flood_time VARCHAR(3) NOT NULL DEFAULT '',
chat_admin_notice VARCHAR(300) NOT NULL DEFAULT '',
chat_bgcolour_gr1 VARCHAR(6) NOT NULL DEFAULT '',
chat_bgcolour_gr2 VARCHAR(6) NOT NULL DEFAULT '',
chat_bgcolour_chatbox VARCHAR(6) NOT NULL DEFAULT '',
PRIMARY KEY (chat_enable)
) ENGINE=MyISAM;";

$inf_newtable[3] = DB_LCHAT_ONLINE." (
chat_online_user VARCHAR(50) NOT NULL DEFAULT '',
chat_online_ip VARCHAR(45) NOT NULL DEFAULT '',
chat_online_ip_type TINYINT(1) UNSIGNED NOT NULL DEFAULT '4',
chat_online_lastactive INT(10) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (chat_online_user)
) ENGINE=MyISAM;";


$inf_newtable[4] = DB_LCHAT_OPTIONS." (
chat_options_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
chat_options_user MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
chat_status TINYINT(1) UNSIGNED DEFAULT '1' NOT NULL,
chat_sounds TINYINT(1) UNSIGNED DEFAULT '1' NOT NULL,
PRIMARY KEY (chat_options_id)
) ENGINE=MyISAM;";

$inf_insertdbrow[1] = DB_LCHAT." (post_id, chat_user, chat_datestamp, user_last, chat_message)";

$inf_insertdbrow[2] = DB_LCHAT_SETTINGS." (chat_enable, flood_time, chat_admin_notice, chat_bgcolour_gr1, chat_bgcolour_gr2, chat_bgcolour_chatbox) VALUES ('0', '10', '".$locale['fcha_071']."', '4086BC', '397BA8', 'FFFFFF')";

$inf_insertdbrow[3] = DB_LCHAT_ONLINE." (chat_online_user, chat_online_ip, chat_online_ip_type, chat_online_lastactive)";

$inf_insertdbrow[4] = DB_LCHAT_OPTIONS." (chat_options_id, chat_options_user, chat_status, chat_sounds)";

$inf_droptable[1] = DB_LCHAT;

$inf_droptable[2] = DB_LCHAT_SETTINGS;

$inf_droptable[3] = DB_LCHAT_ONLINE;

$inf_droptable[4] = DB_LCHAT_OPTIONS;

$inf_adminpanel[1] = array(
	"title" => $locale['inf_title'],
	"image" => "",
	"panel" => "chat_admin.php",
	"rights" => "CBX"
);

$inf_sitelink[1] = array(
	"title" => $locale['inf_title'],
	"url" => "chat.php",
	"visibility" => "101"
);

?>